import { CloudProvider, TerraformDeployment } from '@goldstack/utils-terraform';
import AWS from 'aws-sdk';
import { AWSTerraformState } from '@goldstack/infra-aws/dist/types/awsTerraformState';
export declare class AWSCloudProvider implements CloudProvider {
    user: AWS.Credentials;
    remoteStateConfig: AWSTerraformState;
    generateEnvVariableString: () => string;
    setEnvVariables: () => void;
    getTfStateVariables: (deployment: TerraformDeployment) => [string, string][];
    constructor(credentials: AWS.Credentials, awsConfig: AWSTerraformState);
}
export declare const terraformAwsCli: (args: string[]) => Promise<void>;
//# sourceMappingURL=utilsTerraformAws.d.ts.map